Viewing docs for gcore 2.0.0-alpha.15
published on Thursday, Aug 6, 2026 by g-core
published on Thursday, Aug 6, 2026 by g-core
Viewing docs for gcore 2.0.0-alpha.15
published on Thursday, Aug 6, 2026 by g-core
published on Thursday, Aug 6, 2026 by g-core
Bare metal images are operating system images used to boot bare metal servers, filterable by name, visibility, OS distribution, and architecture.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as gcore from "@pulumi/gcore";
const exampleCloudBaremetalImages = gcore.getCloudBaremetalImages({
projectId: 1,
regionId: 7,
architecture: "x86_64",
includePrices: true,
name: "ubuntu",
osDistro: "ubuntu",
osVersion: "22.04",
"private": "private",
tagKeys: [
"key1",
"key2",
],
tagKeyValue: "tag_key_value",
visibility: "private",
});
import pulumi
import pulumi_gcore as gcore
example_cloud_baremetal_images = gcore.get_cloud_baremetal_images(project_id=1,
region_id=7,
architecture="x86_64",
include_prices=True,
name="ubuntu",
os_distro="ubuntu",
os_version="22.04",
private="private",
tag_keys=[
"key1",
"key2",
],
tag_key_value="tag_key_value",
visibility="private")
package main
import (
"github.com/pulumi/pulumi-terraform-provider/sdks/go/gcore/v2/gcore"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := gcore.GetCloudBaremetalImages(ctx, &gcore.GetCloudBaremetalImagesArgs{
ProjectId: pulumi.Float64Ref(1),
RegionId: pulumi.Float64Ref(7),
Architecture: pulumi.StringRef("x86_64"),
IncludePrices: pulumi.BoolRef(true),
Name: pulumi.StringRef("ubuntu"),
OsDistro: pulumi.StringRef("ubuntu"),
OsVersion: pulumi.StringRef("22.04"),
Private: pulumi.StringRef("private"),
TagKeys: []string{
"key1",
"key2",
},
TagKeyValue: pulumi.StringRef("tag_key_value"),
Visibility: pulumi.StringRef("private"),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Gcore = Pulumi.Gcore;
return await Deployment.RunAsync(() =>
{
var exampleCloudBaremetalImages = Gcore.GetCloudBaremetalImages.Invoke(new()
{
ProjectId = 1,
RegionId = 7,
Architecture = "x86_64",
IncludePrices = true,
Name = "ubuntu",
OsDistro = "ubuntu",
OsVersion = "22.04",
Private = "private",
TagKeys = new[]
{
"key1",
"key2",
},
TagKeyValue = "tag_key_value",
Visibility = "private",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.gcore.GcoreFunctions;
import com.pulumi.gcore.inputs.GetCloudBaremetalImagesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var exampleCloudBaremetalImages = GcoreFunctions.getCloudBaremetalImages(GetCloudBaremetalImagesArgs.builder()
.projectId(1)
.regionId(7)
.architecture("x86_64")
.includePrices(true)
.name("ubuntu")
.osDistro("ubuntu")
.osVersion("22.04")
.private_("private")
.tagKeys(
"key1",
"key2")
.tagKeyValue("tag_key_value")
.visibility("private")
.build());
}
}
variables:
exampleCloudBaremetalImages:
fn::invoke:
function: gcore:getCloudBaremetalImages
arguments:
projectId: 1
regionId: 7
architecture: x86_64
includePrices: true
name: ubuntu
osDistro: ubuntu
osVersion: '22.04'
private: private
tagKeys:
- key1
- key2
tagKeyValue: tag_key_value
visibility: private
Example coming soon!
Using getCloudBaremetalImages
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getCloudBaremetalImages(args: GetCloudBaremetalImagesArgs, opts?: InvokeOptions): Promise<GetCloudBaremetalImagesResult>
function getCloudBaremetalImagesOutput(args: GetCloudBaremetalImagesOutputArgs, opts?: InvokeOptions): Output<GetCloudBaremetalImagesResult>def get_cloud_baremetal_images(architecture: Optional[str] = None,
include_prices: Optional[bool] = None,
max_items: Optional[float] = None,
name: Optional[str] = None,
os_distro: Optional[str] = None,
os_version: Optional[str] = None,
private: Optional[str] = None,
project_id: Optional[float] = None,
region_id: Optional[float] = None,
tag_key_value: Optional[str] = None,
tag_keys: Optional[Sequence[str]] = None,
visibility: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetCloudBaremetalImagesResult
def get_cloud_baremetal_images_output(architecture: pulumi.Input[Optional[str]] = None,
include_prices: pulumi.Input[Optional[bool]] = None,
max_items: pulumi.Input[Optional[float]] = None,
name: pulumi.Input[Optional[str]] = None,
os_distro: pulumi.Input[Optional[str]] = None,
os_version: pulumi.Input[Optional[str]] = None,
private: pulumi.Input[Optional[str]] = None,
project_id: pulumi.Input[Optional[float]] = None,
region_id: pulumi.Input[Optional[float]] = None,
tag_key_value: pulumi.Input[Optional[str]] = None,
tag_keys: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
visibility: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetCloudBaremetalImagesResult]func GetCloudBaremetalImages(ctx *Context, args *GetCloudBaremetalImagesArgs, opts ...InvokeOption) (*GetCloudBaremetalImagesResult, error)
func GetCloudBaremetalImagesOutput(ctx *Context, args *GetCloudBaremetalImagesOutputArgs, opts ...InvokeOption) GetCloudBaremetalImagesResultOutput> Note: This function is named GetCloudBaremetalImages in the Go SDK.
public static class GetCloudBaremetalImages
{
public static Task<GetCloudBaremetalImagesResult> InvokeAsync(GetCloudBaremetalImagesArgs args, InvokeOptions? opts = null)
public static Output<GetCloudBaremetalImagesResult> Invoke(GetCloudBaremetalImagesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetCloudBaremetalImagesResult> getCloudBaremetalImages(GetCloudBaremetalImagesArgs args, InvokeOptions options)
public static Output<GetCloudBaremetalImagesResult> getCloudBaremetalImages(GetCloudBaremetalImagesArgs args, InvokeOptions options)
fn::invoke:
function: gcore:index/getCloudBaremetalImages:getCloudBaremetalImages
arguments:
# arguments dictionarydata "gcore_get_cloud_baremetal_images" "name" {
# arguments
}The following arguments are supported:
- Architecture string
- Filter by image architecture. Available values: "aarch64", "x86_64".
- Include
Prices bool - Show price.
- Max
Items double - Max items to fetch, default: 1000
- Name string
- Filter by image name (case-insensitive substring match)
- Os
Distro string - Filter by OS distribution (case-insensitive). E.g.
ubuntu,centos,debian - Os
Version string - Filter by OS version (case-insensitive). E.g.
22.04 - Private string
- Any value to show private images
- Project
Id double - Project ID
- Region
Id double - Region ID
- Tag
Key stringValue - Optional. Filter by tag key-value pairs.
- Tag
Keys List<string> - Optional. Filter by tag keys. ?
tag_key=key1&tag_key=key2 - Visibility string
- Image visibility. Globally visible images are public Available values: "private", "public", "shared".
- Architecture string
- Filter by image architecture. Available values: "aarch64", "x86_64".
- Include
Prices bool - Show price.
- Max
Items float64 - Max items to fetch, default: 1000
- Name string
- Filter by image name (case-insensitive substring match)
- Os
Distro string - Filter by OS distribution (case-insensitive). E.g.
ubuntu,centos,debian - Os
Version string - Filter by OS version (case-insensitive). E.g.
22.04 - Private string
- Any value to show private images
- Project
Id float64 - Project ID
- Region
Id float64 - Region ID
- Tag
Key stringValue - Optional. Filter by tag key-value pairs.
- Tag
Keys []string - Optional. Filter by tag keys. ?
tag_key=key1&tag_key=key2 - Visibility string
- Image visibility. Globally visible images are public Available values: "private", "public", "shared".
- architecture string
- Filter by image architecture. Available values: "aarch64", "x86_64".
- include_
prices bool - Show price.
- max_
items number - Max items to fetch, default: 1000
- name string
- Filter by image name (case-insensitive substring match)
- os_
distro string - Filter by OS distribution (case-insensitive). E.g.
ubuntu,centos,debian - os_
version string - Filter by OS version (case-insensitive). E.g.
22.04 - private string
- Any value to show private images
- project_
id number - Project ID
- region_
id number - Region ID
- tag_
key_ stringvalue - Optional. Filter by tag key-value pairs.
- tag_
keys list(string) - Optional. Filter by tag keys. ?
tag_key=key1&tag_key=key2 - visibility string
- Image visibility. Globally visible images are public Available values: "private", "public", "shared".
- architecture String
- Filter by image architecture. Available values: "aarch64", "x86_64".
- include
Prices Boolean - Show price.
- max
Items Double - Max items to fetch, default: 1000
- name String
- Filter by image name (case-insensitive substring match)
- os
Distro String - Filter by OS distribution (case-insensitive). E.g.
ubuntu,centos,debian - os
Version String - Filter by OS version (case-insensitive). E.g.
22.04 - private_ String
- Any value to show private images
- project
Id Double - Project ID
- region
Id Double - Region ID
- tag
Key StringValue - Optional. Filter by tag key-value pairs.
- tag
Keys List<String> - Optional. Filter by tag keys. ?
tag_key=key1&tag_key=key2 - visibility String
- Image visibility. Globally visible images are public Available values: "private", "public", "shared".
- architecture string
- Filter by image architecture. Available values: "aarch64", "x86_64".
- include
Prices boolean - Show price.
- max
Items number - Max items to fetch, default: 1000
- name string
- Filter by image name (case-insensitive substring match)
- os
Distro string - Filter by OS distribution (case-insensitive). E.g.
ubuntu,centos,debian - os
Version string - Filter by OS version (case-insensitive). E.g.
22.04 - private string
- Any value to show private images
- project
Id number - Project ID
- region
Id number - Region ID
- tag
Key stringValue - Optional. Filter by tag key-value pairs.
- tag
Keys string[] - Optional. Filter by tag keys. ?
tag_key=key1&tag_key=key2 - visibility string
- Image visibility. Globally visible images are public Available values: "private", "public", "shared".
- architecture str
- Filter by image architecture. Available values: "aarch64", "x86_64".
- include_
prices bool - Show price.
- max_
items float - Max items to fetch, default: 1000
- name str
- Filter by image name (case-insensitive substring match)
- os_
distro str - Filter by OS distribution (case-insensitive). E.g.
ubuntu,centos,debian - os_
version str - Filter by OS version (case-insensitive). E.g.
22.04 - private str
- Any value to show private images
- project_
id float - Project ID
- region_
id float - Region ID
- tag_
key_ strvalue - Optional. Filter by tag key-value pairs.
- tag_
keys Sequence[str] - Optional. Filter by tag keys. ?
tag_key=key1&tag_key=key2 - visibility str
- Image visibility. Globally visible images are public Available values: "private", "public", "shared".
- architecture String
- Filter by image architecture. Available values: "aarch64", "x86_64".
- include
Prices Boolean - Show price.
- max
Items Number - Max items to fetch, default: 1000
- name String
- Filter by image name (case-insensitive substring match)
- os
Distro String - Filter by OS distribution (case-insensitive). E.g.
ubuntu,centos,debian - os
Version String - Filter by OS version (case-insensitive). E.g.
22.04 - private String
- Any value to show private images
- project
Id Number - Project ID
- region
Id Number - Region ID
- tag
Key StringValue - Optional. Filter by tag key-value pairs.
- tag
Keys List<String> - Optional. Filter by tag keys. ?
tag_key=key1&tag_key=key2 - visibility String
- Image visibility. Globally visible images are public Available values: "private", "public", "shared".
getCloudBaremetalImages Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Cloud Baremetal Images Item> - The items returned by the data source
- Architecture string
- Filter by image architecture. Available values: "aarch64", "x86_64".
- Include
Prices bool - Show price.
- Max
Items double - Max items to fetch, default: 1000
- Name string
- Filter by image name (case-insensitive substring match)
- Os
Distro string - Filter by OS distribution (case-insensitive). E.g.
ubuntu,centos,debian - Os
Version string - Filter by OS version (case-insensitive). E.g.
22.04 - Private string
- Any value to show private images
- Project
Id double - Project ID
- Region
Id double - Region ID
- Tag
Key stringValue - Optional. Filter by tag key-value pairs.
- Tag
Keys List<string> - Optional. Filter by tag keys. ?
tag_key=key1&tag_key=key2 - Visibility string
- Image visibility. Globally visible images are public Available values: "private", "public", "shared".
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Cloud Baremetal Images Item - The items returned by the data source
- Architecture string
- Filter by image architecture. Available values: "aarch64", "x86_64".
- Include
Prices bool - Show price.
- Max
Items float64 - Max items to fetch, default: 1000
- Name string
- Filter by image name (case-insensitive substring match)
- Os
Distro string - Filter by OS distribution (case-insensitive). E.g.
ubuntu,centos,debian - Os
Version string - Filter by OS version (case-insensitive). E.g.
22.04 - Private string
- Any value to show private images
- Project
Id float64 - Project ID
- Region
Id float64 - Region ID
- Tag
Key stringValue - Optional. Filter by tag key-value pairs.
- Tag
Keys []string - Optional. Filter by tag keys. ?
tag_key=key1&tag_key=key2 - Visibility string
- Image visibility. Globally visible images are public Available values: "private", "public", "shared".
- id string
- The provider-assigned unique ID for this managed resource.
- items list(object)
- The items returned by the data source
- architecture string
- Filter by image architecture. Available values: "aarch64", "x86_64".
- include_
prices bool - Show price.
- max_
items number - Max items to fetch, default: 1000
- name string
- Filter by image name (case-insensitive substring match)
- os_
distro string - Filter by OS distribution (case-insensitive). E.g.
ubuntu,centos,debian - os_
version string - Filter by OS version (case-insensitive). E.g.
22.04 - private string
- Any value to show private images
- project_
id number - Project ID
- region_
id number - Region ID
- tag_
key_ stringvalue - Optional. Filter by tag key-value pairs.
- tag_
keys list(string) - Optional. Filter by tag keys. ?
tag_key=key1&tag_key=key2 - visibility string
- Image visibility. Globally visible images are public Available values: "private", "public", "shared".
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Cloud Baremetal Images Item> - The items returned by the data source
- architecture String
- Filter by image architecture. Available values: "aarch64", "x86_64".
- include
Prices Boolean - Show price.
- max
Items Double - Max items to fetch, default: 1000
- name String
- Filter by image name (case-insensitive substring match)
- os
Distro String - Filter by OS distribution (case-insensitive). E.g.
ubuntu,centos,debian - os
Version String - Filter by OS version (case-insensitive). E.g.
22.04 - private_ String
- Any value to show private images
- project
Id Double - Project ID
- region
Id Double - Region ID
- tag
Key StringValue - Optional. Filter by tag key-value pairs.
- tag
Keys List<String> - Optional. Filter by tag keys. ?
tag_key=key1&tag_key=key2 - visibility String
- Image visibility. Globally visible images are public Available values: "private", "public", "shared".
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Cloud Baremetal Images Item[] - The items returned by the data source
- architecture string
- Filter by image architecture. Available values: "aarch64", "x86_64".
- include
Prices boolean - Show price.
- max
Items number - Max items to fetch, default: 1000
- name string
- Filter by image name (case-insensitive substring match)
- os
Distro string - Filter by OS distribution (case-insensitive). E.g.
ubuntu,centos,debian - os
Version string - Filter by OS version (case-insensitive). E.g.
22.04 - private string
- Any value to show private images
- project
Id number - Project ID
- region
Id number - Region ID
- tag
Key stringValue - Optional. Filter by tag key-value pairs.
- tag
Keys string[] - Optional. Filter by tag keys. ?
tag_key=key1&tag_key=key2 - visibility string
- Image visibility. Globally visible images are public Available values: "private", "public", "shared".
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Cloud Baremetal Images Item] - The items returned by the data source
- architecture str
- Filter by image architecture. Available values: "aarch64", "x86_64".
- include_
prices bool - Show price.
- max_
items float - Max items to fetch, default: 1000
- name str
- Filter by image name (case-insensitive substring match)
- os_
distro str - Filter by OS distribution (case-insensitive). E.g.
ubuntu,centos,debian - os_
version str - Filter by OS version (case-insensitive). E.g.
22.04 - private str
- Any value to show private images
- project_
id float - Project ID
- region_
id float - Region ID
- tag_
key_ strvalue - Optional. Filter by tag key-value pairs.
- tag_
keys Sequence[str] - Optional. Filter by tag keys. ?
tag_key=key1&tag_key=key2 - visibility str
- Image visibility. Globally visible images are public Available values: "private", "public", "shared".
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- The items returned by the data source
- architecture String
- Filter by image architecture. Available values: "aarch64", "x86_64".
- include
Prices Boolean - Show price.
- max
Items Number - Max items to fetch, default: 1000
- name String
- Filter by image name (case-insensitive substring match)
- os
Distro String - Filter by OS distribution (case-insensitive). E.g.
ubuntu,centos,debian - os
Version String - Filter by OS version (case-insensitive). E.g.
22.04 - private String
- Any value to show private images
- project
Id Number - Project ID
- region
Id Number - Region ID
- tag
Key StringValue - Optional. Filter by tag key-value pairs.
- tag
Keys List<String> - Optional. Filter by tag keys. ?
tag_key=key1&tag_key=key2 - visibility String
- Image visibility. Globally visible images are public Available values: "private", "public", "shared".
Supporting Types
GetCloudBaremetalImagesItem
- Architecture string
- An image architecture type: aarch64,
x86_64. Available values: "aarch64", "x86_64". - Created
At string - Datetime when the image was created
- Creator
Task stringId - Task that created this entity
- Currency
Code string - Currency code. Shown if the
include_pricesquery parameter if set to true - Description string
- Image description
- Disk
Format string - Disk format
- Display
Order double - Gpu
Driver string - Name of the GPU driver vendor
- Gpu
Driver stringType - Type of the GPU driver
- Gpu
Driver stringVersion - Version of the installed GPU driver
- Hw
Firmware stringType - Specifies the type of firmware with which to boot the guest. Available values: "bios", "uefi".
- Hw
Machine stringType - A virtual chipset type. Available values: "i440", "q35".
- Id string
- Image ID
- Is
Baremetal bool - For bare metal servers this value is always set to true
- Min
Disk double - Minimal boot volume required
- Min
Ram double - Minimal VM RAM required
- Name string
- Image display name
- Os
Distro string - OS Distribution, i.e. Debian, CentOS, Ubuntu, CoreOS etc.
- Os
Type string - The operating system installed on the image. Available values: "linux", "windows".
- Os
Version string - OS version, i.e. 19.04 (for Ubuntu) or 9.4 for Debian
- Price
Per doubleHour - Price per hour. Shown if the
include_pricesquery parameter if set to true - Price
Per doubleMonth - Price per month. Shown if the
include_pricesquery parameter if set to true - Price
Status string - Price status for the UI Available values: "error", "hide", "show".
- Project
Id double - Project ID
- Region string
- Region name
- Region
Id double - Region ID
- Size double
- Image size in bytes
- Ssh
Key string - Whether the image supports SSH key or not Available values: "allow", "deny", "required".
- Status string
- Image status, i.e. active
-
List<Get
Cloud Baremetal Images Item Tags V2> - List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
- Task
Id string - The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If
null, the resource is not locked. - Updated
At string - Datetime when the image was updated
- Visibility string
- Image visibility. Globally visible images are public
- Architecture string
- An image architecture type: aarch64,
x86_64. Available values: "aarch64", "x86_64". - Created
At string - Datetime when the image was created
- Creator
Task stringId - Task that created this entity
- Currency
Code string - Currency code. Shown if the
include_pricesquery parameter if set to true - Description string
- Image description
- Disk
Format string - Disk format
- Display
Order float64 - Gpu
Driver string - Name of the GPU driver vendor
- Gpu
Driver stringType - Type of the GPU driver
- Gpu
Driver stringVersion - Version of the installed GPU driver
- Hw
Firmware stringType - Specifies the type of firmware with which to boot the guest. Available values: "bios", "uefi".
- Hw
Machine stringType - A virtual chipset type. Available values: "i440", "q35".
- Id string
- Image ID
- Is
Baremetal bool - For bare metal servers this value is always set to true
- Min
Disk float64 - Minimal boot volume required
- Min
Ram float64 - Minimal VM RAM required
- Name string
- Image display name
- Os
Distro string - OS Distribution, i.e. Debian, CentOS, Ubuntu, CoreOS etc.
- Os
Type string - The operating system installed on the image. Available values: "linux", "windows".
- Os
Version string - OS version, i.e. 19.04 (for Ubuntu) or 9.4 for Debian
- Price
Per float64Hour - Price per hour. Shown if the
include_pricesquery parameter if set to true - Price
Per float64Month - Price per month. Shown if the
include_pricesquery parameter if set to true - Price
Status string - Price status for the UI Available values: "error", "hide", "show".
- Project
Id float64 - Project ID
- Region string
- Region name
- Region
Id float64 - Region ID
- Size float64
- Image size in bytes
- Ssh
Key string - Whether the image supports SSH key or not Available values: "allow", "deny", "required".
- Status string
- Image status, i.e. active
-
[]Get
Cloud Baremetal Images Item Tags V2 - List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
- Task
Id string - The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If
null, the resource is not locked. - Updated
At string - Datetime when the image was updated
- Visibility string
- Image visibility. Globally visible images are public
- architecture string
- An image architecture type: aarch64,
x86_64. Available values: "aarch64", "x86_64". - created_
at string - Datetime when the image was created
- creator_
task_ stringid - Task that created this entity
- currency_
code string - Currency code. Shown if the
include_pricesquery parameter if set to true - description string
- Image description
- disk_
format string - Disk format
- display_
order number - gpu_
driver string - Name of the GPU driver vendor
- gpu_
driver_ stringtype - Type of the GPU driver
- gpu_
driver_ stringversion - Version of the installed GPU driver
- hw_
firmware_ stringtype - Specifies the type of firmware with which to boot the guest. Available values: "bios", "uefi".
- hw_
machine_ stringtype - A virtual chipset type. Available values: "i440", "q35".
- id string
- Image ID
- is_
baremetal bool - For bare metal servers this value is always set to true
- min_
disk number - Minimal boot volume required
- min_
ram number - Minimal VM RAM required
- name string
- Image display name
- os_
distro string - OS Distribution, i.e. Debian, CentOS, Ubuntu, CoreOS etc.
- os_
type string - The operating system installed on the image. Available values: "linux", "windows".
- os_
version string - OS version, i.e. 19.04 (for Ubuntu) or 9.4 for Debian
- price_
per_ numberhour - Price per hour. Shown if the
include_pricesquery parameter if set to true - price_
per_ numbermonth - Price per month. Shown if the
include_pricesquery parameter if set to true - price_
status string - Price status for the UI Available values: "error", "hide", "show".
- project_
id number - Project ID
- region string
- Region name
- region_
id number - Region ID
- size number
- Image size in bytes
- ssh_
key string - Whether the image supports SSH key or not Available values: "allow", "deny", "required".
- status string
- Image status, i.e. active
- list(object)
- List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
- task_
id string - The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If
null, the resource is not locked. - updated_
at string - Datetime when the image was updated
- visibility string
- Image visibility. Globally visible images are public
- architecture String
- An image architecture type: aarch64,
x86_64. Available values: "aarch64", "x86_64". - created
At String - Datetime when the image was created
- creator
Task StringId - Task that created this entity
- currency
Code String - Currency code. Shown if the
include_pricesquery parameter if set to true - description String
- Image description
- disk
Format String - Disk format
- display
Order Double - gpu
Driver String - Name of the GPU driver vendor
- gpu
Driver StringType - Type of the GPU driver
- gpu
Driver StringVersion - Version of the installed GPU driver
- hw
Firmware StringType - Specifies the type of firmware with which to boot the guest. Available values: "bios", "uefi".
- hw
Machine StringType - A virtual chipset type. Available values: "i440", "q35".
- id String
- Image ID
- is
Baremetal Boolean - For bare metal servers this value is always set to true
- min
Disk Double - Minimal boot volume required
- min
Ram Double - Minimal VM RAM required
- name String
- Image display name
- os
Distro String - OS Distribution, i.e. Debian, CentOS, Ubuntu, CoreOS etc.
- os
Type String - The operating system installed on the image. Available values: "linux", "windows".
- os
Version String - OS version, i.e. 19.04 (for Ubuntu) or 9.4 for Debian
- price
Per DoubleHour - Price per hour. Shown if the
include_pricesquery parameter if set to true - price
Per DoubleMonth - Price per month. Shown if the
include_pricesquery parameter if set to true - price
Status String - Price status for the UI Available values: "error", "hide", "show".
- project
Id Double - Project ID
- region String
- Region name
- region
Id Double - Region ID
- size Double
- Image size in bytes
- ssh
Key String - Whether the image supports SSH key or not Available values: "allow", "deny", "required".
- status String
- Image status, i.e. active
-
List<Get
Cloud Baremetal Images Item Tags V2> - List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
- task
Id String - The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If
null, the resource is not locked. - updated
At String - Datetime when the image was updated
- visibility String
- Image visibility. Globally visible images are public
- architecture string
- An image architecture type: aarch64,
x86_64. Available values: "aarch64", "x86_64". - created
At string - Datetime when the image was created
- creator
Task stringId - Task that created this entity
- currency
Code string - Currency code. Shown if the
include_pricesquery parameter if set to true - description string
- Image description
- disk
Format string - Disk format
- display
Order number - gpu
Driver string - Name of the GPU driver vendor
- gpu
Driver stringType - Type of the GPU driver
- gpu
Driver stringVersion - Version of the installed GPU driver
- hw
Firmware stringType - Specifies the type of firmware with which to boot the guest. Available values: "bios", "uefi".
- hw
Machine stringType - A virtual chipset type. Available values: "i440", "q35".
- id string
- Image ID
- is
Baremetal boolean - For bare metal servers this value is always set to true
- min
Disk number - Minimal boot volume required
- min
Ram number - Minimal VM RAM required
- name string
- Image display name
- os
Distro string - OS Distribution, i.e. Debian, CentOS, Ubuntu, CoreOS etc.
- os
Type string - The operating system installed on the image. Available values: "linux", "windows".
- os
Version string - OS version, i.e. 19.04 (for Ubuntu) or 9.4 for Debian
- price
Per numberHour - Price per hour. Shown if the
include_pricesquery parameter if set to true - price
Per numberMonth - Price per month. Shown if the
include_pricesquery parameter if set to true - price
Status string - Price status for the UI Available values: "error", "hide", "show".
- project
Id number - Project ID
- region string
- Region name
- region
Id number - Region ID
- size number
- Image size in bytes
- ssh
Key string - Whether the image supports SSH key or not Available values: "allow", "deny", "required".
- status string
- Image status, i.e. active
-
Get
Cloud Baremetal Images Item Tags V2[] - List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
- task
Id string - The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If
null, the resource is not locked. - updated
At string - Datetime when the image was updated
- visibility string
- Image visibility. Globally visible images are public
- architecture str
- An image architecture type: aarch64,
x86_64. Available values: "aarch64", "x86_64". - created_
at str - Datetime when the image was created
- creator_
task_ strid - Task that created this entity
- currency_
code str - Currency code. Shown if the
include_pricesquery parameter if set to true - description str
- Image description
- disk_
format str - Disk format
- display_
order float - gpu_
driver str - Name of the GPU driver vendor
- gpu_
driver_ strtype - Type of the GPU driver
- gpu_
driver_ strversion - Version of the installed GPU driver
- hw_
firmware_ strtype - Specifies the type of firmware with which to boot the guest. Available values: "bios", "uefi".
- hw_
machine_ strtype - A virtual chipset type. Available values: "i440", "q35".
- id str
- Image ID
- is_
baremetal bool - For bare metal servers this value is always set to true
- min_
disk float - Minimal boot volume required
- min_
ram float - Minimal VM RAM required
- name str
- Image display name
- os_
distro str - OS Distribution, i.e. Debian, CentOS, Ubuntu, CoreOS etc.
- os_
type str - The operating system installed on the image. Available values: "linux", "windows".
- os_
version str - OS version, i.e. 19.04 (for Ubuntu) or 9.4 for Debian
- price_
per_ floathour - Price per hour. Shown if the
include_pricesquery parameter if set to true - price_
per_ floatmonth - Price per month. Shown if the
include_pricesquery parameter if set to true - price_
status str - Price status for the UI Available values: "error", "hide", "show".
- project_
id float - Project ID
- region str
- Region name
- region_
id float - Region ID
- size float
- Image size in bytes
- ssh_
key str - Whether the image supports SSH key or not Available values: "allow", "deny", "required".
- status str
- Image status, i.e. active
-
Sequence[Get
Cloud Baremetal Images Item Tags V2] - List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
- task_
id str - The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If
null, the resource is not locked. - updated_
at str - Datetime when the image was updated
- visibility str
- Image visibility. Globally visible images are public
- architecture String
- An image architecture type: aarch64,
x86_64. Available values: "aarch64", "x86_64". - created
At String - Datetime when the image was created
- creator
Task StringId - Task that created this entity
- currency
Code String - Currency code. Shown if the
include_pricesquery parameter if set to true - description String
- Image description
- disk
Format String - Disk format
- display
Order Number - gpu
Driver String - Name of the GPU driver vendor
- gpu
Driver StringType - Type of the GPU driver
- gpu
Driver StringVersion - Version of the installed GPU driver
- hw
Firmware StringType - Specifies the type of firmware with which to boot the guest. Available values: "bios", "uefi".
- hw
Machine StringType - A virtual chipset type. Available values: "i440", "q35".
- id String
- Image ID
- is
Baremetal Boolean - For bare metal servers this value is always set to true
- min
Disk Number - Minimal boot volume required
- min
Ram Number - Minimal VM RAM required
- name String
- Image display name
- os
Distro String - OS Distribution, i.e. Debian, CentOS, Ubuntu, CoreOS etc.
- os
Type String - The operating system installed on the image. Available values: "linux", "windows".
- os
Version String - OS version, i.e. 19.04 (for Ubuntu) or 9.4 for Debian
- price
Per NumberHour - Price per hour. Shown if the
include_pricesquery parameter if set to true - price
Per NumberMonth - Price per month. Shown if the
include_pricesquery parameter if set to true - price
Status String - Price status for the UI Available values: "error", "hide", "show".
- project
Id Number - Project ID
- region String
- Region name
- region
Id Number - Region ID
- size Number
- Image size in bytes
- ssh
Key String - Whether the image supports SSH key or not Available values: "allow", "deny", "required".
- status String
- Image status, i.e. active
- List<Property Map>
- List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
- task
Id String - The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If
null, the resource is not locked. - updated
At String - Datetime when the image was updated
- visibility String
- Image visibility. Globally visible images are public
GetCloudBaremetalImagesItemTagsV2
- Key string
- Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- Read
Only bool - If true, the tag is read-only and cannot be modified by the user
- Value string
- Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- Key string
- Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- Read
Only bool - If true, the tag is read-only and cannot be modified by the user
- Value string
- Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- key string
- Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- read_
only bool - If true, the tag is read-only and cannot be modified by the user
- value string
- Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- key String
- Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- read
Only Boolean - If true, the tag is read-only and cannot be modified by the user
- value String
- Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- key string
- Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- read
Only boolean - If true, the tag is read-only and cannot be modified by the user
- value string
- Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- key str
- Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- read_
only bool - If true, the tag is read-only and cannot be modified by the user
- value str
- Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- key String
- Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- read
Only Boolean - If true, the tag is read-only and cannot be modified by the user
- value String
- Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
Package Details
- Repository
- gcore g-core/terraform-provider-gcore
- License
- Notes
- This Pulumi package is based on the
gcoreTerraform Provider.
Viewing docs for gcore 2.0.0-alpha.15
published on Thursday, Aug 6, 2026 by g-core
published on Thursday, Aug 6, 2026 by g-core